#ifndef __GPIO_H_
#define __GPIO_H_

/* IO port specific macros/labels */
#define HIGH 1
#define	LOW 0


/* Common macro to set output for each port pin */
#define Config_GPIO_Output(port_num, pin_num)	LPC_GPIO##port_num->FIODIR|=(1<<pin_num)

/* Common macro to set input for each port pin */
#define Config_GPIO_Input(port_num, pin_num)	LPC_GPIO##port_num->FIODIR&=~(1<<pin_num)

/* Common macro to set any port pin */
#define Set_GPIO_HIGH(port_num, pin_num)   LPC_GPIO##port_num->FIOSET = (1<<pin_num)

/* Common macro to CLEAR any port pin */
#define Set_GPIO_LOW(port_num, pin_num)   LPC_GPIO##port_num->FIOCLR =(1<<pin_num)

/* Common Macro to read each pin status of all ports */
#define Get_GPIO_Status(port_num, pin_num)	LPC_GPIO##port_num->FIOPIN &(1<<pin_num)?HIGH:LOW		

#endif
